LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 05-31-2006, 07:24 PM   #1
NOT_Skeletor
LQ Newbie
 
Registered: Mar 2003
Posts: 13

Rep: Reputation: 0
Quake3 libgl.so.1 problem


I installed Quake 3 using an ebuild (Gentoo), and everything wne tinfe.
Then i tried to run it and get

...loading libGL.so.1:
Calling SDL_Init(SDL_INIT_VIDEO)...
SDL_Init(SDL_INIT_VIDEO) passed.
QGL_Init: Can't load libGL.so.1 from /etc/ld.so.conf or current dir: No dynamic GL support in video driver
failed
----- CL_Shutdown -----
RE_Shutdown( 1 )
-----------------------
----- CL_Shutdown -----
-----------------------
Sys_Error: GLimp_Init() - could not load OpenGL subsystem

I have the Gentoo kernel module enabled and working (glxgears works great), and it is set to driect renderring.
I made sure i had this enabled and the dri module turned off when starting Xorg (just to test, had the NVIDIA logo show up), and default depth is set to 24 in xorg.conf

I've even tried symlinking libGL.so.1 to /usr/lib/opengl/nvidia/tls/opengl.so.1.0.7676 and /usr/lib/opengl/nvidia/lib/libGL.so.1 and run ldconfig after each one and still no go.
Oh, and both /usr/lib and /usr/lib/nvidia are in /etc/ld.so.conf, and running lconfig -v verfies that it is looking at this properly.

So, whats the issue? I also tried Nexuiz and Quake2 and nothing will find this library. Where is it and why is it not being loaded through ld.so.conf properly? I have updated/downgraded to different kernel versions (and associated libraries) and nothing.

Running on a P4 2.1GHZ, 512MB, NVIVIA GEFORCE4 256MB
 
Old 06-01-2006, 02:27 AM   #2
bit128_linux
Member
 
Registered: Dec 2005
Location: Brasov, Romania
Distribution: Slackware, Bluewhite64
Posts: 49

Rep: Reputation: 15
I had the same problem yesterday. Mine was solved like this: I executed quake 3 with additional parameters:

tiuri@tiuri$ quake3 +set r_gldriver libGL.so.1.0.7676

... and it worked. Hope this helps
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
ATI Pro 9600 Quake3 could not open libGL.so dm_bomb Linux - Newbie 5 12-24-2005 11:45 AM
libgl opengl rendering problem Astro Slackware 5 05-15-2005 06:34 PM
libGL.so.1(LIBGL) for SuSE 9.1? darkmatter333 SUSE / openSUSE 1 12-17-2004 10:23 PM
libGL.so Problem rob-n Linux - Newbie 1 04-07-2004 09:57 AM
libGL problem running quake3 on mandrake pulven Linux - Newbie 0 04-05-2004 08:27 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 01:12 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration